net.minecraftforge.common

## Class BiomeManager

- java.lang.Object
- - net.minecraftforge.common.BiomeManager

-     public class BiomeManager
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BiomeManager.BiomeEntry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.List<BiomeManager.BiomeEntry>` | `coolBiomes`
    `static java.util.List<BiomeManager.BiomeEntry>` | `desertBiomes`
    `static java.util.List<BiomeManager.BiomeEntry>` | `icyBiomes`
    `static java.util.List<BiomeGenBase>` | `oceanBiomes`
    `static java.util.ArrayList<BiomeGenBase>` | `strongHoldBiomes`
    `static java.util.ArrayList<BiomeGenBase>` | `strongHoldBiomesBlackList`
    `static java.util.List<BiomeManager.BiomeEntry>` | `warmBiomes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BiomeManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addSpawnBiome(BiomeGenBase biome)`
    `static void` | `addStrongholdBiome(BiomeGenBase biome)`
    `static void` | `addVillageBiome(BiomeGenBase biome, boolean canSpawn)`
    `static void` | `removeSpawnBiome(BiomeGenBase biome)`
    `static void` | `removeStrongholdBiome(BiomeGenBase biome)`
    `static void` | `removeVillageBiome(BiomeGenBase biome)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### desertBiomes

          public static java.util.List<BiomeManager.BiomeEntry> desertBiomes

    - #### warmBiomes

          public static java.util.List<BiomeManager.BiomeEntry> warmBiomes

    - #### coolBiomes

          public static java.util.List<BiomeManager.BiomeEntry> coolBiomes

    - #### icyBiomes

          public static java.util.List<BiomeManager.BiomeEntry> icyBiomes

    - #### oceanBiomes

          public static java.util.List<BiomeGenBase> oceanBiomes

    - #### strongHoldBiomes

          public static java.util.ArrayList<BiomeGenBase> strongHoldBiomes

    - #### strongHoldBiomesBlackList

          public static java.util.ArrayList<BiomeGenBase> strongHoldBiomesBlackList

  - ### Constructor Detail

    - #### BiomeManager

          public BiomeManager()

  - ### Method Detail

    - #### addVillageBiome

          public static void addVillageBiome(BiomeGenBase biome,
                             boolean canSpawn)

    - #### removeVillageBiome

          public static void removeVillageBiome(BiomeGenBase biome)

    - #### addStrongholdBiome

          public static void addStrongholdBiome(BiomeGenBase biome)

    - #### removeStrongholdBiome

          public static void removeStrongholdBiome(BiomeGenBase biome)

    - #### addSpawnBiome

          public static void addSpawnBiome(BiomeGenBase biome)

    - #### removeSpawnBiome

          public static void removeSpawnBiome(BiomeGenBase biome)